Unverified Commit 52998509 authored by Martin Pugh's avatar Martin Pugh Committed by GitHub
Browse files

Bump version, tx_version and spec_version in prep for v0.9.11 (#3970)



* bump version and spec_version

* bump transaction version

* Bump of the default value in CI

* bump tx version for westend and kusama
Co-authored-by: default avatarWilfried Kopp <wilfried@parity.io>
parent 80ae3d8f
Pipeline #159963 passed with stages
in 42 minutes and 14 seconds
......@@ -10,7 +10,7 @@ on:
required: true
binary_url:
description: A url to a Linux binary for the node containing the runtime to test
default: https://releases.parity.io/polkadot/x86_64-debian:stretch/v0.9.9-rc1/polkadot
default: https://releases.parity.io/polkadot/x86_64-debian:stretch/v0.9.10/polkadot
required: true
chain:
description: The name of the chain under test. Usually, you would pass a local chain
......
......@@ -3125,7 +3125,7 @@ dependencies = [
[[package]]
name = "kusama-runtime"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"beefy-primitives",
"bitvec 0.20.1",
......@@ -4118,7 +4118,7 @@ dependencies = [
[[package]]
name = "metered-channel"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"assert_matches",
"derive_more",
......@@ -5410,7 +5410,7 @@ dependencies = [
[[package]]
name = "pallet-xcm"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"frame-support",
"frame-system",
......@@ -5808,7 +5808,7 @@ checksum = "989d43012e2ca1c4a02507c67282691a0a3207f9dc67cec596b43fe925b3d325"
[[package]]
name = "polkadot"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"assert_cmd",
"color-eyre",
......@@ -5820,7 +5820,7 @@ dependencies = [
[[package]]
name = "polkadot-approval-distribution"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"assert_matches",
"env_logger 0.9.0",
......@@ -5840,7 +5840,7 @@ dependencies = [
[[package]]
name = "polkadot-availability-bitfield-distribution"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"assert_matches",
"bitvec 0.20.1",
......@@ -5861,7 +5861,7 @@ dependencies = [
[[package]]
name = "polkadot-availability-distribution"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"assert_matches",
"derive_more",
......@@ -5888,7 +5888,7 @@ dependencies = [
[[package]]
name = "polkadot-availability-recovery"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"assert_matches",
"env_logger 0.9.0",
......@@ -5915,7 +5915,7 @@ dependencies = [
[[package]]
name = "polkadot-cli"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"frame-benchmarking-cli",
"futures 0.3.17",
......@@ -5934,7 +5934,7 @@ dependencies = [
[[package]]
name = "polkadot-client"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"beefy-primitives",
"frame-benchmarking",
......@@ -5966,7 +5966,7 @@ dependencies = [
[[package]]
name = "polkadot-collator-protocol"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"always-assert",
"assert_matches",
......@@ -5993,7 +5993,7 @@ dependencies = [
[[package]]
name = "polkadot-core-primitives"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"parity-scale-codec",
"parity-util-mem",
......@@ -6005,7 +6005,7 @@ dependencies = [
[[package]]
name = "polkadot-dispute-distribution"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"assert_matches",
"async-trait",
......@@ -6034,7 +6034,7 @@ dependencies = [
[[package]]
name = "polkadot-erasure-coding"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"parity-scale-codec",
"polkadot-node-primitives",
......@@ -6047,7 +6047,7 @@ dependencies = [
[[package]]
name = "polkadot-gossip-support"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"assert_matches",
"async-trait",
......@@ -6073,7 +6073,7 @@ dependencies = [
[[package]]
name = "polkadot-network-bridge"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"assert_matches",
"async-trait",
......@@ -6096,7 +6096,7 @@ dependencies = [
[[package]]
name = "polkadot-node-collation-generation"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"futures 0.3.17",
"parity-scale-codec",
......@@ -6114,7 +6114,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-approval-voting"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"assert_matches",
"bitvec 0.20.1",
......@@ -6150,7 +6150,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-av-store"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"assert_matches",
"bitvec 0.20.1",
......@@ -6177,7 +6177,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-backing"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"assert_matches",
"bitvec 0.20.1",
......@@ -6201,7 +6201,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-bitfield-signing"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"futures 0.3.17",
"polkadot-node-subsystem",
......@@ -6216,7 +6216,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-candidate-validation"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"assert_matches",
"async-trait",
......@@ -6237,7 +6237,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-chain-api"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"futures 0.3.17",
"maplit",
......@@ -6256,7 +6256,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-chain-selection"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"assert_matches",
"futures 0.3.17",
......@@ -6277,7 +6277,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-dispute-coordinator"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"assert_matches",
"bitvec 0.20.1",
......@@ -6301,7 +6301,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-dispute-participation"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"assert_matches",
"futures 0.3.17",
......@@ -6317,7 +6317,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-parachains-inherent"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"async-trait",
"futures 0.3.17",
......@@ -6333,7 +6333,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-provisioner"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"bitvec 0.20.1",
"futures 0.3.17",
......@@ -6350,7 +6350,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-pvf"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"always-assert",
"assert_matches",
......@@ -6384,7 +6384,7 @@ dependencies = [
[[package]]
name = "polkadot-node-core-runtime-api"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"futures 0.3.17",
"memory-lru",
......@@ -6403,7 +6403,7 @@ dependencies = [
[[package]]
name = "polkadot-node-jaeger"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"async-std",
"lazy_static",
......@@ -6420,7 +6420,7 @@ dependencies = [
[[package]]
name = "polkadot-node-metrics"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"futures 0.3.17",
"futures-timer 3.0.2",
......@@ -6430,7 +6430,7 @@ dependencies = [
[[package]]
name = "polkadot-node-network-protocol"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"async-trait",
"derive_more",
......@@ -6447,7 +6447,7 @@ dependencies = [
[[package]]
name = "polkadot-node-primitives"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"bounded-vec",
"futures 0.3.17",
......@@ -6469,7 +6469,7 @@ dependencies = [
[[package]]
name = "polkadot-node-subsystem"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"polkadot-node-jaeger",
"polkadot-node-subsystem-types",
......@@ -6478,7 +6478,7 @@ dependencies = [
[[package]]
name = "polkadot-node-subsystem-test-helpers"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"async-trait",
"futures 0.3.17",
......@@ -6496,7 +6496,7 @@ dependencies = [
[[package]]
name = "polkadot-node-subsystem-types"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"derive_more",
"futures 0.3.17",
......@@ -6514,7 +6514,7 @@ dependencies = [
[[package]]
name = "polkadot-node-subsystem-util"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"assert_matches",
"async-trait",
......@@ -6544,7 +6544,7 @@ dependencies = [
[[package]]
name = "polkadot-overseer"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"assert_matches",
"femme",
......@@ -6568,7 +6568,7 @@ dependencies = [
[[package]]
name = "polkadot-overseer-gen"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"async-trait",
"futures 0.3.17",
......@@ -6585,7 +6585,7 @@ dependencies = [
[[package]]
name = "polkadot-overseer-gen-proc-macro"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"assert_matches",
"proc-macro-crate 1.1.0",
......@@ -6596,7 +6596,7 @@ dependencies = [
[[package]]
name = "polkadot-parachain"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"derive_more",
"frame-support",
......@@ -6612,7 +6612,7 @@ dependencies = [
[[package]]
name = "polkadot-primitives"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"bitvec 0.20.1",
"frame-system",
......@@ -6641,7 +6641,7 @@ dependencies = [
[[package]]
name = "polkadot-rpc"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"beefy-gadget",
"beefy-gadget-rpc",
......@@ -6671,7 +6671,7 @@ dependencies = [
[[package]]
name = "polkadot-runtime"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"beefy-primitives",
"bitvec 0.20.1",
......@@ -6753,7 +6753,7 @@ dependencies = [
[[package]]
name = "polkadot-runtime-common"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"beefy-primitives",
"bitvec 0.20.1",
......@@ -6803,7 +6803,7 @@ dependencies = [
[[package]]
name = "polkadot-runtime-parachains"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"bitflags",
"bitvec 0.20.1",
......@@ -6846,7 +6846,7 @@ dependencies = [
[[package]]
name = "polkadot-service"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"assert_matches",
"async-trait",
......@@ -6948,7 +6948,7 @@ dependencies = [
[[package]]
name = "polkadot-simnet"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -6980,14 +6980,14 @@ dependencies = [
[[package]]
name = "polkadot-simnet-node"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"polkadot-simnet",
]
[[package]]
name = "polkadot-simnet-test"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"frame-system",
"pallet-balances",
......@@ -7001,7 +7001,7 @@ dependencies = [
[[package]]
name = "polkadot-statement-distribution"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"arrayvec 0.5.2",
"assert_matches",
......@@ -7030,7 +7030,7 @@ dependencies = [
[[package]]
name = "polkadot-statement-table"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"parity-scale-codec",
"polkadot-primitives",
......@@ -7039,7 +7039,7 @@ dependencies = [
[[package]]
name = "polkadot-test-client"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"futures 0.3.17",
"parity-scale-codec",
......@@ -7065,7 +7065,7 @@ dependencies = [
[[package]]
name = "polkadot-test-malus"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"assert_matches",
"async-trait",
......@@ -7084,7 +7084,7 @@ dependencies = [
[[package]]
name = "polkadot-test-runtime"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"beefy-primitives",
"bitvec 0.20.1",
......@@ -7149,7 +7149,7 @@ dependencies = [
[[package]]
name = "polkadot-test-service"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"frame-benchmarking",
"frame-system",
......@@ -7770,7 +7770,7 @@ dependencies = [
[[package]]
name = "remote-ext-tests-bags-list"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"frame-election-provider-support",
"frame-support",
......@@ -7870,7 +7870,7 @@ dependencies = [
[[package]]
name = "rococo-runtime"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"beefy-primitives",
"bp-messages",
......@@ -9332,7 +9332,7 @@ dependencies = [
[[package]]
name = "slot-range-helper"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"enumn",
"parity-scale-codec",
......@@ -10096,7 +10096,7 @@ checksum = "dba1a27d3efae4351c8051072d619e3ade2820635c3958d826bfea39d59b54c8"
[[package]]
name = "staking-miner"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"env_logger 0.9.0",
"frame-election-provider-support",
......@@ -10457,7 +10457,7 @@ dependencies = [
[[package]]
name = "test-parachain-adder"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"dlmalloc",
"parity-scale-codec",
......@@ -10470,7 +10470,7 @@ dependencies = [
[[package]]
name = "test-parachain-adder-collator"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"futures 0.3.17",
"futures-timer 3.0.2",
......@@ -10496,14 +10496,14 @@ dependencies = [
[[package]]
name = "test-parachain-halt"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"substrate-wasm-builder",
]
[[package]]
name = "test-parachains"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"parity-scale-codec",
"sp-core",
......@@ -11579,7 +11579,7 @@ dependencies = [
[[package]]
name = "westend-runtime"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"beefy-primitives",
"bitvec 0.20.1",
......@@ -11761,7 +11761,7 @@ dependencies = [
[[package]]
name = "xcm"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"derivative",
"impl-trait-for-tuples",
......@@ -11773,7 +11773,7 @@ dependencies = [
[[package]]
name = "xcm-builder"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"frame-support",
"frame-system",
......@@ -11796,7 +11796,7 @@ dependencies = [
[[package]]
name = "xcm-executor"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -11813,7 +11813,7 @@ dependencies = [
[[package]]
name = "xcm-executor-integration-tests"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"frame-support",
"frame-system",
......@@ -11842,7 +11842,7 @@ dependencies = [
[[package]]
name = "xcm-simulator"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"frame-support",
"parity-scale-codec",
......@@ -11858,7 +11858,7 @@ dependencies = [
[[package]]
name = "xcm-simulator-example"
version = "0.9.9"
version = "0.9.11"
dependencies = [
"frame-support",
"frame-system",
......
......@@ -6,7 +6,7 @@ path = "src/main.rs"
name = "polkadot"
description = "Implementation of a https://polkadot.network node in Rust based on the Substrate framework."
license = "GPL-3.0-only"
version = "0.9.9"
version = "0.9.11"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
readme = "README.md"
......
[package]
name = "polkadot-cli"
version = "0.9.9"
version = "0.9.11"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Polkadot Relay-chain Client Node"
edition = "2018"
......
[package]
name = "polkadot-core-primitives"
version = "0.9.9"
version = "0.9.11"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-erasure-coding"
version = "0.9.9"
version = "0.9.11"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "erasure_coding_fuzzer"
version = "0.9.9"
version = "0.9.11"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-client"
version = "0.9.9"
version = "0.9.11"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-node-collation-generation"
version = "0.9.9"